--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Authenticates the session via the authentication object.
- !ruby/struct:SM::Flow::P 
  body: See Merb::Authentication#authenticate for usage
full_name: Merb::Session#authenticate!
is_singleton: false
name: authenticate!
params: (request, params, *rest)
visibility: public
